[arch-commits] Commit in qt (10 files)

Pierre Schmitz pierre at archlinux.org
Mon Jul 6 15:23:55 UTC 2009


    Date: Monday, July 6, 2009 @ 11:23:55
  Author: pierre
Revision: 45002

let's play with gstreamer again

Added:
  qt/kde-unstable/
  qt/kde-unstable/gstreamer-logo.png
  qt/kde-unstable/phonon.patch
  qt/kde-unstable/qt.install
Modified:
  qt/kde-unstable/PKGBUILD
  qt/kde-unstable/assistant.desktop
  qt/kde-unstable/designer.desktop
  qt/kde-unstable/linguist.desktop
  qt/kde-unstable/qdoc3.patch
  qt/kde-unstable/qtconfig.desktop

---------------------------+
 PKGBUILD                  |   58 +++++++++++++++++++++++++++-----------------
 assistant.desktop         |    2 -
 designer.desktop          |    2 -
 kde-unstable/phonon.patch |   38 ++++++++++++++++++++++++++++
 kde-unstable/qt.install   |   11 ++++++++
 linguist.desktop          |    2 -
 qdoc3.patch               |   28 +++++++++------------
 qtconfig.desktop          |    2 -
 8 files changed, 101 insertions(+), 42 deletions(-)

Modified: kde-unstable/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/PKGBUILD	2009-07-06 15:23:55 UTC (rev 45002)
@@ -3,39 +3,43 @@
 
 pkgname=qt
 pkgver=4.5.2
-pkgrel=2
-_kdeqtver=766bf1d15ff245e186aae19b9152c0506125ec2f
+pkgrel=3
+_kdeqtver=2d1727e396d5dca24ae0fb6a45d35ffc1abd0c12
 pkgdesc='A cross-platform application and UI framework'
 arch=('i686' 'x86_64')
 url='http://www.qtsoftware.com/'
 license=('GPL3' 'LGPL')
-depends=('libpng' 'mesa' 'fontconfig' 'libtiff>=3.8.2-5' 'libmng>=1.0.10-2' 'sqlite3' \
-         'libxrandr' 'glib2' 'libxi' 'dbus' 'libxcursor' 'libxinerama' 'libxrender')
+depends=('libpng' 'mesa' 'fontconfig' 'libtiff>=3.8.2-5' 'libmng>=1.0.10-2' 'sqlite3' 'xdg-utils'
+         'libxrandr' 'glib2' 'libxi' 'dbus' 'libxcursor' 'libxinerama' 'libxrender' 'gstreamer0.10-base-plugins')
 optdepends=('postgresql-libs' 'libmysqlclient' 'unixodbc')
 makedepends=('inputproto' 'postgresql-libs' 'mysql' 'unixodbc' 'cups' 'libxfixes')
-provides=("qt4=${pkgver}")
-replaces=('qt4')
-conflicts=('qt4')
+install=qt.install
+provides=("qt4=${pkgver}" 'phonon')
+replaces=('qt4' 'phonon')
+conflicts=('qt4' 'phonon')
 options=('!libtool')
 _pkgfqn="qt-x11-opensource-src-${pkgver}"
 source=("ftp://ftp.qtsoftware.com/qt/source/${_pkgfqn}.tar.bz2"
         "ftp://ftp.archlinux.org/other/kde-qt/kde-qt-patches-${_kdeqtver}.tar.bz2"
+	'gstreamer-logo.png'
         'assistant.desktop' 'designer.desktop' 'linguist.desktop' 'qtconfig.desktop'
-        'qdoc3.patch')
+        'qdoc3.patch' 'phonon.patch')
 md5sums=('28a7e8ac9805a6f614d2a27ee1a6ac9d'
-         '69f190301a06e87b77d00da6422e0ba5'
-         'b352b4b70faba2571af3fce5d119580a'
-         '491a96682faa03407f768a53cca71db5'
-         'cda7ed7e132689991dc2968a0043b4b0'
-         '717669b728a0a795217d2f52969e454c'
-         '9c0a0db3569e889a54a6cddcd55c538c')
+         '4b333add3031f59538629b35858178d9'
+         'f0c26f76acf8b6a3297cfb31f872b0b7'
+         'a445c6917086d80f1cfc1e40cb6b0132'
+         'd457f0a0ad68a3861c3cadefe3b42ded'
+         '668331d9798a0e2b94381efb7be4c513'
+         'c29f2993d6a0f73d756d2fa36e130e1c'
+         'a7e450751f42bdff17e57fdc4af72a18'
+         'ca0debc49d3505423e3b5742fdbfd852')
 
 _create-kdeqt-patches() {
 	local codir=$(mktemp -d)
 	mkdir -p "${codir}/kde-qt"
 	git clone git://gitorious.org/+kde-developers/qt/kde-qt.git "${codir}/kde-qt"
 	pushd "${codir}/kde-qt"
-	local kdeqtver=$(git --no-pager show --format='%H' "${pkgver}-patched")
+	local kdeqtver=$(git --no-pager show --format='%H' "${pkgver}-patched" | head -1)
 	mkdir "../kde-qt-patches-${kdeqtver}"
 	git format-patch -k "v${pkgver}..${pkgver}-patched" -o "../kde-qt-patches-${kdeqtver}"
 	popd
@@ -58,7 +62,11 @@
 		patch -p1 -i $i || return 1
 	done
 
-	patch -p0 -i $srcdir/qdoc3.patch
+	# see http://cvs.fedoraproject.org/viewvc/rpms/qt/devel/
+	# enable qdoc3
+	patch -p1 -i $srcdir/qdoc3.patch || return 1
+	# install service files needed by KDE
+	patch -p1 -i $srcdir/phonon.patch || return 1
 
 	sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
 	sed -i "/^QMAKE_RPATH/s| -Wl,-rpath,||g" mkspecs/common/g++.conf
@@ -80,19 +88,25 @@
 		-nomake demos \
 		-nomake examples \
 		-nomake docs \
-		-no-phonon \
+		-phonon \
 		-optimized-qmake \
 		-reduce-relocations
-
 	make
 	make INSTALL_ROOT=$pkgdir install
 
-	install -D -m644 tools/assistant/tools/assistant/images/assistant.png ${pkgdir}/usr/share/pixmaps/assistant.png
-	install -D -m644 tools/linguist/linguist/images/appicon.png ${pkgdir}/usr/share/pixmaps/linguist.png
-	install -D -m644 tools/designer/src/designer/images/designer.png ${pkgdir}/usr/share/pixmaps/designer.png
-	install -D -m644 src/gui/dialogs/images/qtlogo-64.png ${pkgdir}/usr/share/pixmaps/qtlogo.png
+	# install missing icons and desktop files
+	for icon in tools/linguist/linguist/images/icons/linguist-*-32.png ; do
+		size=$(echo $(basename ${icon}) | cut -d- -f2)
+		install -p -D -m644 ${icon} ${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/linguist.png
+	done
+	install -p -D -m644 src/gui/dialogs/images/qtlogo-64.png ${pkgdir}/usr/share/icons/hicolor/64x64/apps/qtlogo.png
+	install -p -D -m644 tools/assistant/tools/assistant/images/assistant.png ${pkgdir}/usr/share/icons/hicolor/32x32/apps/assistant.png
+	install -p -D -m644 tools/designer/src/designer/images/designer.png ${pkgdir}/usr/share/icons/hicolor/128x128/apps/designer.png
+	install -p -D -m644 ${srcdir}/gstreamer-logo.png ${pkgdir}/usr/share/icons/hicolor/128x128/apps/phonon-gstreamer.svg
 	install -d ${pkgdir}/usr/share/applications
 	install -m644 ${srcdir}/{linguist,designer,assistant,qtconfig}.desktop ${pkgdir}/usr/share/applications/
+
+	# install license addition
 	install -D -m644 LGPL_EXCEPTION.txt ${pkgdir}/usr/share/licenses/qt/LGPL_EXCEPTION.txt
 
 	# cleanup and path fixes

Modified: kde-unstable/assistant.desktop
===================================================================
--- trunk/assistant.desktop	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/assistant.desktop	2009-07-06 15:23:55 UTC (rev 45002)
@@ -2,7 +2,7 @@
 Exec=/usr/bin/assistant
 Name=Qt Assistant
 GenericName=Qt Document Browser
-Icon=/usr/share/pixmaps/assistant.png
+Icon=assistant
 Terminal=false
 Type=Application
 Categories=Qt;Development;Documentation

Modified: kde-unstable/designer.desktop
===================================================================
--- trunk/designer.desktop	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/designer.desktop	2009-07-06 15:23:55 UTC (rev 45002)
@@ -3,7 +3,7 @@
 Name=Qt Designer
 GenericName=Interface Designer
 MimeType=application/x-designer
-Icon=/usr/share/pixmaps/designer.png
+Icon=designer
 Terminal=false
 Type=Application
 Categories=Qt;Development;GUIDesigner

Added: kde-unstable/gstreamer-logo.png
===================================================================
(Binary files differ)


Property changes on: qt/kde-unstable/gstreamer-logo.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Modified: kde-unstable/linguist.desktop
===================================================================
--- trunk/linguist.desktop	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/linguist.desktop	2009-07-06 15:23:55 UTC (rev 45002)
@@ -5,5 +5,5 @@
 MimeType=application/x-linguist
 Terminal=false
 Type=Application
-Icon=/usr/share/pixmaps/linguist.png
+Icon=linguist
 Categories=Qt;Development;Translation

Added: kde-unstable/phonon.patch
===================================================================
--- kde-unstable/phonon.patch	                        (rev 0)
+++ kde-unstable/phonon.patch	2009-07-06 15:23:55 UTC (rev 45002)
@@ -0,0 +1,38 @@
+diff -ur qt-orig/src/phonon/phonon.pro qt-x11-opensource-src-4.5.2/src/phonon/phonon.pro
+--- qt-orig/src/phonon/phonon.pro	2009-06-20 06:57:57.000000000 +0200
++++ qt-x11-opensource-src-4.5.2/src/phonon/phonon.pro	2009-06-25 19:30:00.000000000 +0200
+@@ -112,4 +112,9 @@
+        DEFINES += QT_NO_DBUS
+ }
+ 
++# install dbus service file
++sources.files = $$PHONON_DIR/org.kde.Phonon.AudioOutput.xml
++sources.path = /usr/share/dbus-1/interfaces
++INSTALLS += sources
++
+ contains(QT_CONFIG, reduce_exports): CONFIG += hide_symbols
+diff -ur qt-orig/src/plugins/phonon/gstreamer/gstreamer.pro qt-x11-opensource-src-4.5.2/src/plugins/phonon/gstreamer/gstreamer.pro
+--- qt-orig/src/plugins/phonon/gstreamer/gstreamer.pro	2009-06-20 06:57:58.000000000 +0200
++++ qt-x11-opensource-src-4.5.2/src/plugins/phonon/gstreamer/gstreamer.pro	2009-06-25 19:31:36.000000000 +0200
+@@ -62,6 +62,8 @@
+ }
+ 
+ target.path = $$[QT_INSTALL_PLUGINS]/phonon_backend
+-INSTALLS += target
++services.files = $$PHONON_GSTREAMER_DIR/gstreamer.desktop
++services.path = /usr/share/kde4/services/phononbackends
++INSTALLS += target services
+ 
+ include(../../qpluginbase.pri)
+diff -ur qt-orig/src/3rdparty/phonon/gstreamer/gstreamer.desktop qt-x11-opensource-src-4.5.2/src/3rdparty/phonon/gstreamer/gstreamer.desktop
+--- qt-orig/src/3rdparty/phonon/gstreamer/gstreamer.desktop	2009-06-20 06:57:54.000000000 +0200
++++ qt-x11-opensource-src-4.5.2/src/3rdparty/phonon/gstreamer/gstreamer.desktop	2009-06-25 19:30:00.000000000 +0200
+@@ -2,7 +2,7 @@
+ Type=Service
+ X-KDE-ServiceTypes=PhononBackend
+ MimeType=application/x-annodex;video/quicktime;video/x-quicktime;audio/x-m4a;application/x-quicktimeplayer;video/mkv;video/msvideo;video/x-msvideo;video/x-flic;audio/x-aiff;audio/aiff;audio/x-pn-aiff;audio/x-realaudio;audio/basic;audio/x-basic;audio/x-pn-au;audio/x-8svx;audio/8svx;audio/x-16sv;audio/168sv;image/x-ilbm;image/ilbm;video/x-anim;video/anim;image/png;image/x-png;video/mng;video/x-mng;audio/x-ogg;audio/x-speex+ogg;application/ogg;application/ogg;audio/vnd.rn-realaudio;audio/x-pn-realaudio-plugin;audio/x-real-audio;application/vnd.rn-realmedia;video/mpeg;video/x-mpeg;audio/x-wav;audio/wav;audio/x-pn-wav;audio/x-pn-windows-acm;audio/mpeg2;audio/x-mpeg2;audio/mpeg3;audio/x-mpeg3;audio/mpeg;audio/x-mpeg;x-mpegurl;audio/x-mpegurl;audio/mp3;audio/mpeg;
+-X-KDE-Library=phonon_gstreamer
++X-KDE-Library=libphonon_gstreamer
+ X-KDE-PhononBackendInfo-InterfaceVersion=1
+ X-KDE-PhononBackendInfo-Version=0.1
+ X-KDE-PhononBackendInfo-Website=http://gstreamer.freedesktop.org/

Modified: kde-unstable/qdoc3.patch
===================================================================
--- trunk/qdoc3.patch	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/qdoc3.patch	2009-07-06 15:23:55 UTC (rev 45002)
@@ -1,25 +1,21 @@
---- tools/qdoc3/qdoc3.pro       2009-06-25 17:34:42.000000000 +0200
-+++ tools/qdoc3/qdoc3.pro.new   2009-06-25 17:35:42.000000000 +0200
-@@ -8,6 +8,11 @@
-     CONFIG -= build_all
-     CONFIG += release
- }
-+
+diff -ur qt-orig/tools/qdoc3/qdoc3.pro qt-4.5.2/tools/qdoc3/qdoc3.pro
+--- qt-orig/tools/qdoc3/qdoc3.pro	2009-06-20 06:57:59.000000000 +0200
++++ qt-4.5.2/tools/qdoc3/qdoc3.pro	2009-06-25 20:00:12.000000000 +0200
+@@ -99,3 +99,6 @@
+            webxmlgenerator.cpp \
+ 	   yyindent.cpp
+ 
 +TARGET= qdoc3
 +target.path = $$[QT_INSTALL_BINS]
 +INSTALLS += target
-+
- mac:CONFIG -= app_bundle
- HEADERS += apigenerator.h \
-            archiveextractor.h \
-diff -up qt-x11-opensource-src-4.5.0/tools/tools.pro.qdoc3 qt-x11-opensource-src-4.5.0/tools/tools.pro
---- tools/tools.pro.qdoc3	2009-02-25 15:09:27.000000000 -0600
-+++ tools/tools.pro	2009-03-04 09:44:18.000000000 -0600
-@@ -13,6 +13,7 @@ no-png {
+diff -ur qt-orig/tools/tools.pro qt-4.5.2/tools/tools.pro
+--- qt-orig/tools/tools.pro	2009-06-20 06:57:59.000000000 +0200
++++ qt-4.5.2/tools/tools.pro	2009-06-25 19:59:19.000000000 +0200
+@@ -13,6 +13,7 @@
           SUBDIRS += designer
       }
       SUBDIRS     += linguist
 +     SUBDIRS     += qdoc3
       wince*: SUBDIRS = qtestlib designer
       unix:!mac:!embedded:contains(QT_CONFIG, qt3support):SUBDIRS += qtconfig
-      win32:!wince*:!contains(QT_EDITION, OpenSource|Console):SUBDIRS += activeqt
+      win32:!wince*:SUBDIRS += activeqt

Added: kde-unstable/qt.install
===================================================================
--- kde-unstable/qt.install	                        (rev 0)
+++ kde-unstable/qt.install	2009-07-06 15:23:55 UTC (rev 45002)
@@ -0,0 +1,11 @@
+post_install() {
+	xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}

Modified: kde-unstable/qtconfig.desktop
===================================================================
--- trunk/qtconfig.desktop	2009-07-05 17:16:31 UTC (rev 44936)
+++ kde-unstable/qtconfig.desktop	2009-07-06 15:23:55 UTC (rev 45002)
@@ -2,7 +2,7 @@
 Name=Qt Config 
 Comment=Configure Qt behavior, styles, fonts
 Exec=/usr/bin/qtconfig
-Icon=/usr/share/pixmaps/qtlogo
+Icon=qtlogo
 Terminal=false
 Type=Application
 Categories=Qt;Settings;




More information about the arch-commits mailing list